﻿@{
    ViewBag.NomePagina = "Serviço";
}

@Html.Partial("~/Views/Paginas/CadastroServico/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Serviço
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2ServicosCodigos.cshtml", new Select2ServicosViewModel() { idControleSelect2 = "selSvc", idControleInput = "TxtSvc", tipoPesquisa = true, ativo = false, multiplo = false })
        <i class="material-icons">more_vert</i>
        <select id="ddlTipSvcFil" class="form-control">
            <option value="0" selected="selected">Selecione um tipo...</option>
            <option value="1">MENSAL</option>
            <option value="2">EVENTUAL</option>
        </select>
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroServicoContainer"></div>
    </div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Serviço</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodSvcTgv" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group" style="padding-left:10px">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Descrição:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtDesSvcTgv" name="txtDesSvcTgv" type="text" maxlength="70">
                            <label class="mdl-textfield__label" for="txtDesSvcTgv"></label>
                        </div>
                    </div>
                    <div class="row col-md-12 mdl-textfield mdl-js-textfield">
                        <div class="col-md-4">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Tipo</strong>
                            </label>
                            <div class="tgv-select-material">
                                <select id="ddlTipSvc" class="form-control limparTooltipChange">
                                    <option selected="selected" value="0">Seleciona um Tipo:</option>
                                    <option value="1">MENSAL</option>
                                    <option value="2">EVENTUAL</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Valor:</strong>
                            </label>
                            <div class="mdl-textfield mdl-js-textfield">
                                <input type="text" maxlength="10" class="mdl-textfield__input limparTooltipKeyDown dinheiro" id="txtVlrSvc" name="txtVlrSvc">
                                <label class="mdl-textfield__label" for="txtVlrSvc"></label>
                            </div>
                        </div>
                        <div class="col-md-4 ">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Pontuação:</strong>
                            </label>
                            <div class="mdl-textfield mdl-js-textfield">
                                <input type="text" maxlength="6" class="mdl-textfield__input limparTooltipKeyDown dinheiro" id="txtNumPto" name="txtNumPto">
                                <label class="mdl-textfield__label" for="txtNumPto"></label>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="divShowHide row mdl-textfield mdl-js-textfield">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv mdl-textfield mdl-js-textfield" style="padding-left:15px">Arquivo de Contrato:</strong>
                            </label>
                            <div class="col-lg-4">
                                <input type="file" id="FileUpload" data-required="0" name="FileUpload" class="btn btn-success" style="visibility:visible;" accept=".docx" />
                            </div>
                        </div>
                    </div>
                    <div class="divShowHide row col-md-12 mdl-textfield mdl-js-textfield">
                        <div>
                            <label for="input-text-1" style="padding-right:30px">
                                <strong class="strong-min-tgv" style="padding-left:20px">Contrato:</strong>
                            </label>
                            <div class="mdl-textfield mdl-js-textfield" style="padding-left:20px">
                                <input type="text" maxlength="50" class="mdl-textfield__input" readonly id="txtdowncontrato" name="txtdowncontrato">
                                <label class="mdl-textfield__label" for="txtdowncontrato"></label>
                            </div>
                        </div>
                        <div style="margin-top: 30px; padding-left:15px;">
                            <a id="download" class="btn btn-info" style="color:#fff;">
                                <i class="fa fa-cloud-download" aria-hidden="true">&nbsp;</i>
                                Download
                            </a>
                        </div>
                    </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group" style="padding-left:120px;">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Documentos:</strong>
                            </label>
                            <div>
                                <select multiple="" id="callbacks"></select>
                            </div>
                        </div>
                    </div>
                </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroServico/Partials/_IndexScript.cshtml")